Bug 1702063 - Validate field act as required in CloudForms Service Dialogs
Summary: Validate field act as required in CloudForms Service Dialogs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.10.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.4
Assignee: Roman Blanco
QA Contact: Niyaz Akhtar Ansari
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On: 1692736
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-22 21:05 UTC by Satoe Imaishi
Modified: 2019-11-20 10:38 UTC (History)
9 users (show)

Fixed In Version: 5.10.4.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1692736
Environment:
Last Closed: 2019-06-13 12:57:39 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
dialog for future testing (3.46 KB, text/plain)
2019-04-29 19:31 UTC, Niyaz Akhtar Ansari
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:1247 None None None 2019-05-21 05:47:00 UTC

Comment 2 Satoe Imaishi 2019-04-24 17:55:53 UTC
The fix is included in ui-components 1.1.23

https://github.com/ManageIQ/manageiq-ui-classic/pull/5479
https://github.com/ManageIQ/manageiq-ui-service/pull/1540

Comment 3 CFME Bot 2019-04-24 19:48:14 UTC
New commit detected on ManageIQ/ui-components/hammer:

https://github.com/ManageIQ/ui-components/commit/c5413764a9fed32dbe8bee47bff90fad378b6be1
commit c5413764a9fed32dbe8bee47bff90fad378b6be1
Author:     Martin Povolny <mpovolny@redhat.com>
AuthorDate: Wed Mar 27 12:18:33 2019 -0400
Commit:     Martin Povolny <mpovolny@redhat.com>
CommitDate: Wed Mar 27 12:18:33 2019 -0400

    Merge pull request #377 from romanblanco/bz1692736

    Corrected condition testing emptiness of dialog field

    (cherry picked from commit ba48151672e61c47d5727e4ada16272283b9bf82)

    https://bugzilla.redhat.com/show_bug.cgi?id=1702063

 src/dialog-user/services/dialogData.ts | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 4 Niyaz Akhtar Ansari 2019-04-29 19:31:06 UTC
Verified in Version 5.10.4.0.20190424160602_acb6009

Comment 5 Niyaz Akhtar Ansari 2019-04-29 19:31:45 UTC
Created attachment 1560061 [details]
dialog for future testing

Comment 7 errata-xmlrpc 2019-05-21 05:46:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1247


Note You need to log in before you can comment on or make changes to this bug.